Subject: Solaris 11.3 x86_64 support
From: Jeffrey Walton <[email-masked]>
To: [email-masked]
Date: Sun, 2 Aug 2020 10:00:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Everyone,

I'm submitting this one because etc/MACHINES says Solaris is supported.

I'm building on Solaris 11.3 using x86_64 per [1]. I use
'--build=x86_64-sun-solaris' because Autoguess chooses 32-bit instead
of 64-bit (even with CFLAGS and CXXFLAGS including -m64).

  $ ./configure ...
  checking for xcrun... no
  checking for GNU Make... gmake
  checking build system type... x86_64-sun-solaris2
  checking host system type... x86_64-sun-solaris2
  configure: error: Emacs does not support 'x86_64-sun-solaris2' systems.
  If you think it should, please send a report to [email-masked].

But according to etc/MACHINES:

  $ cat etc/MACHINES
  ...

  ** Solaris

    On Solaris it is also possible to use either GCC or Solaris Studio
    to build Emacs, by pointing ./configure to the right compiler ...

[1] https://docs.oracle.com/cd/E37838_01/html/E66175/appendixb.html